Opened 3 years ago

Closed 3 years ago

#992 closed Bug / Defect (fixed)

iOS: dhcp-option PROXY_AUTO_CONFIG_URL not working

Reported by: ryanpc Owned by: Antonio
Priority: major Milestone:
Component: OpenVPN Connect Version: OpenVPN Connect for iOS v1.2.6
Severity: Not set (select this one, unless your'e a OpenVPN developer) Keywords:
Cc:

Description (last modified by Antonio)

dhcp-option PROXY_AUTO_CONFIG_URL no longer works

The setting in my ovpn config file stopped working with v1.2.5

It is still broken in v1.2.6

I'm using a local .js proxy URL eg: http://aa.bb/AbA1BB.js (used for Weblock ad blocking)

iOS 11.2.2
iPhone X

Info about the Weblock adblocking .js proxy here:
weblockapp.com/blog/using-weblock-with-openvpn.html

Change History (10)

comment:1 Changed 3 years ago by Antonio

Owner: set to Antonio
Status: newassigned
Summary: dhcp-option PROXY_AUTO_CONFIG_URL not workingiOS: dhcp-option PROXY_AUTO_CONFIG_URL not working
Version: OpenVPN Connect for iOS v1.2.6

comment:2 Changed 3 years ago by Antonio

Can you please share your connection log?

Thanks

comment:3 Changed 3 years ago by Antonio

Description: modified (diff)

comment:4 Changed 3 years ago by Antonio

Issue identified. Will be fixed in the next release

comment:5 Changed 3 years ago by ryanpc

Here's my log file from a successful connection today (PROXY_AUTO_CONFIG_URL setting was still not respected):

2018-01-22 20:37:23 ----- OpenVPN Start -----
OpenVPN core 3.1.2 ios arm64 64-bit built on Jan 14 2018 14:23:32
2018-01-22 20:37:23 Frame=512/2048/512 mssfix-ctrl=1250
2018-01-22 20:37:23 UNUSED OPTIONS
3 [tun-ipv6]
5 [resolv-retry] [infinite]
6 [nobind]
7 [persist-key]
8 [persist-tun]
11 [tls-client]
14 [auth-nocache]
16 [verb] [1]
20 [crl] [-----BEGIN X509 CRL----- MIIDWDCCAUAwDQYJKoZIhvcNAQENBQAwgegxCzA...]

2018-01-22 20:37:23 EVENT: RESOLVE
2018-01-22 20:37:24 Contacting [104.156.228.80]:1197/UDP via UDP
2018-01-22 20:37:24 EVENT: WAIT
2018-01-22 20:37:24 Connecting to [us-siliconvalley.privateinternetaccess.com]:1197 (104.156.228.80) via UDPv4
2018-01-22 20:37:24 EVENT: CONNECTING
2018-01-22 20:37:24 Tunnel Options:V4,dev-type tun,link-mtu 1570,tun-mtu 1500,proto UDPv4,comp-lzo,cipher AES-256-CBC,auth SHA256,keysize 256,key-method 2,tls-client
2018-01-22 20:37:24 Creds: Username/Password?
2018-01-22 20:37:24 Peer Info:
IV_GUI_VER=net.openvpn.connect.ios 1.2.6-4
IV_VER=3.1.2
IV_PLAT=ios
IV_NCP=2
IV_TCPNL=1
IV_PROTO=2
IV_LZO=1

2018-01-22 20:37:24 VERIFY OK : depth=1
cert. version : 3
serial number : 9D:2E:FA:F3:83:64:99:ED
issuer name : C=US, ST=CA, L=LosAngeles?, O=Private Internet Access, OU=Private Internet Access, CN=Private Internet Access, ??=Private Internet Access, emailAddress=secure@…
subject name : C=US, ST=CA, L=LosAngeles?, O=Private Internet Access, OU=Private Internet Access, CN=Private Internet Access, ??=Private Internet Access, emailAddress=secure@…
issued on : 2014-04-17 17:40:33
expires on : 2034-04-12 17:40:33
signed using : RSA with SHA-512
RSA key size : 4096 bits
basic constraints : CA=true

2018-01-22 20:37:24 VERIFY OK : depth=0
cert. version : 3
serial number : 6C:2E:8B:97:6E:A3:14:6A:59:FB:70:C2:AB:2D:3D:93
issuer name : C=US, ST=CA, L=LosAngeles?, O=Private Internet Access, OU=Private Internet Access, CN=Private Internet Access, ??=Private Internet Access, emailAddress=secure@…
subject name : C=US, ST=CA, L=LosAngeles?, O=Private Internet Access, OU=Private Internet Access, CN=6c2e8b976ea3146a59fb70c2ab2d3d93, ??=6c2e8b976ea3146a59fb70c2ab2d3d93
issued on : 2016-07-04 19:43:05
expires on : 2036-06-29 19:43:05
signed using : RSA with SHA-512
RSA key size : 4096 bits
basic constraints : CA=false
cert. type : SSL Server
key usage : Digital Signature, Key Encipherment
ext key usage : TLS Web Server Authentication

2018-01-22 20:37:25 SSL Handshake: TLSv1.2/TLS-DHE-RSA-WITH-AES-256-GCM-SHA384
2018-01-22 20:37:25 Session is ACTIVE
2018-01-22 20:37:25 EVENT: GET_CONFIG
2018-01-22 20:37:25 Sending PUSH_REQUEST to server...
2018-01-22 20:37:26 Sending PUSH_REQUEST to server...
2018-01-22 20:37:28 Sending PUSH_REQUEST to server...
2018-01-22 20:37:28 OPTIONS:
0 [dhcp-option] [PROXY_AUTO_CONFIG_URL] http://wl.is/HqX1FJ.js
1 [redirect-gateway] [def1]
2 [dhcp-option] [DNS] [209.222.18.222]
3 [dhcp-option] [DNS] [209.222.18.218]
4 [ping] [10]
5 [comp-lzo] [no]
6 [route] [10.45.10.1]
7 [topology] [net30]
8 [ifconfig] [10.45.10.6] [10.45.10.5]

2018-01-22 20:37:28 PROTOCOL OPTIONS:

cipher: AES-256-CBC
digest: SHA256
compress: LZO_STUB
peer ID: -1

2018-01-22 20:37:28 EVENT: ASSIGN_IP
2018-01-22 20:37:28 NIP: preparing TUN network settings
2018-01-22 20:37:28 NIP: init TUN network settings with endpoint: 104.156.228.80
2018-01-22 20:37:28 NIP: adding IPv4 address to network settings 10.45.10.6/255.255.255.252
2018-01-22 20:37:28 NIP: adding (included) IPv4 route 10.45.10.1/32
2018-01-22 20:37:28 NIP: redirecting all IPv4 traffic to TUN interface
2018-01-22 20:37:28 NIP: adding DNS 209.222.18.222
2018-01-22 20:37:28 NIP: adding DNS 209.222.18.218
2018-01-22 20:37:28 NIP: setting proxy auto-config URL to http://wl.is/HqX1FJ.js
2018-01-22 20:37:28 Connected via NetworkExtensionTUN
2018-01-22 20:37:28 LZO-ASYM init swap=0 asym=1
2018-01-22 20:37:28 Comp-stub init swap=0
2018-01-22 20:37:28 EVENT: CONNECTED x0000000@…:1197 (104.156.228.80) via /UDPv4 on NetworkExtensionTUN/10.45.10.6/ gw=/

comment:6 Changed 3 years ago by Antonio

Thanks!
However, the fix for this bug is already undergoing beta testing

comment:7 Changed 3 years ago by Antonio

Status: assignedaccepted

comment:8 Changed 3 years ago by Antonio

v1.2.7 is being rolled out to the various AppStore? as we speak. Please test it once you have a chance to upgrade and update this ticket accordingly, if possible. Thanks!

comment:9 Changed 3 years ago by ryanpc

Updated, tested - it works again! Thank you very much!

comment:10 Changed 3 years ago by Antonio

Resolution: fixed
Status: acceptedclosed

Cool! closing. Thanks for the feedback!

Note: See TracTickets for help on using tickets.